org.scalatest.prop.GeneratorDrivenPropertyChecks

# ConfiguredPropertyCheck

#### class ConfiguredPropertyCheck extends AnyRef

Performs a configured property checks by applying property check functions passed to its `apply` methods to arguments supplied by implicitly passed generators, modifying the values in the `PropertyGenConfig` object passed implicitly to its `apply` methods with parameter values passed to its constructor.

Instances of this class are returned by trait `GeneratorDrivenPropertyChecks` `forAll` method that accepts a variable length argument list of `PropertyCheckConfigParam` objects. Thus it is used with functions of all six arities. Here are some examples:

    forAll (minSize(1), maxSize(10)) { (a: String) =>
      a.length should equal ((a).length)
    }

    forAll (minSize(1), maxSize(10)) { (a: String, b: String) =>
      a.length + b.length should equal ((a + b).length)
    }

    forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String) =>
      a.length + b.length + c.length should equal ((a + b + c).length)
    }

    forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String) =>
      a.length + b.length + c.length + d.length should equal ((a + b + c + d).length)
    }

    forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String, e: String) =>
      a.length + b.length + c.length + d.length + e.length should equal ((a + b + c + d + e).length)
    }

    forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String, e: String, f: String) =>
      a.length + b.length + c.length + d.length + e.length + f.length should equal ((a + b + c + d + e + f).length)
    }

In the first example above, the `ConfiguredPropertyCheck` object is returned by:

    forAll (minSize(1), maxSize(10))

The code that follows is an invocation of one of the `ConfiguredPropertyCheck` `apply` methods:

    { (a: String) =>
      a.length should equal ((a).length)
    }

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ConfiguredPropertyCheck
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConfiguredPropertyCheck (configParams: Seq[PropertyCheckConfigParam])

   configParams

     a variable length list of `PropertyCheckConfigParam` objects that should override corresponding values in the `PropertyCheckConfig` implicitly passed to the `apply` methods of instances of this class.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply [A, B, C, D, E, F] (fun: (A, B, C, D, E, F) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A], arbB: Arbitrary[B], shrB: Shrink[B], arbC: Arbitrary[C], shrC: Shrink[C], arbD: Arbitrary[D], shrD: Shrink[D], arbE: Arbitrary[E], shrE: Shrink[E], arbF: Arbitrary[F], shrF: Shrink[F]): Unit

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Here's an example:

       forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String, e: String, f: String) =>
         a.length + b.length + c.length + d.length + e.length + f.length should equal ((a + b + c + d + e + f).length)
       }

   fun

     the property check function to apply to the generated arguments

7. #### def apply [A, B, C, D, E] (fun: (A, B, C, D, E) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A], arbB: Arbitrary[B], shrB: Shrink[B], arbC: Arbitrary[C], shrC: Shrink[C], arbD: Arbitrary[D], shrD: Shrink[D], arbE: Arbitrary[E], shrE: Shrink[E]): Unit

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Here's an example:

       forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String, e: String) =>
         a.length + b.length + c.length + d.length + e.length should equal ((a + b + c + d + e).length)
       }

   fun

     the property check function to apply to the generated arguments

8. #### def apply [A, B, C, D] (fun: (A, B, C, D) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A], arbB: Arbitrary[B], shrB: Shrink[B], arbC: Arbitrary[C], shrC: Shrink[C], arbD: Arbitrary[D], shrD: Shrink[D]): Unit

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Here's an example:

       forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String, d: String) =>
         a.length + b.length + c.length + d.length should equal ((a + b + c + d).length)
       }

   fun

     the property check function to apply to the generated arguments

9. #### def apply [A, B, C] (fun: (A, B, C) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A], arbB: Arbitrary[B], shrB: Shrink[B], arbC: Arbitrary[C], shrC: Shrink[C]): Unit

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

   Here's an example:

       forAll (minSize(1), maxSize(10)) { (a: String, b: String, c: String) =>
         a.length + b.length + c.length should equal ((a + b + c).length)
       }

   fun

     the property check function to apply to the generated arguments

10. #### def apply [A, B] (fun: (A, B) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A], arbB: Arbitrary[B], shrB: Shrink[B]): Unit

    Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

    Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

    Here's an example:

        forAll (minSize(1), maxSize(10)) { (a: String, b: String) =>
          a.length + b.length should equal ((a + b).length)
        }

    fun

      the property check function to apply to the generated arguments

11. #### def apply [A] (fun: (A) ⇒ Unit)(implicit config: PropertyCheckConfig, arbA: Arbitrary[A], shrA: Shrink[A]): Unit

    Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

    Performs a property check by applying the specified property check function to arguments supplied by implicitly passed generators, modifying the values in the implicitly passed `PropertyGenConfig` object with parameter values passed to this object's constructor.

    Here's an example:

        forAll (minSize(1), maxSize(10)) { (a: String) =>
          a.length should equal ((a).length)
        }

    fun

      the property check function to apply to the generated arguments

12. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

13. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

14. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

17. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

19. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

20. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def toString (): String

    Definition Classes
      AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any